---@meta

---@class ABP_Interactable_FireWorks_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Sphere USphereComponent
---@field PhysicsThruster UPhysicsThrusterComponent
---@field BP_PrevisActorComponent UBP_PrevisActorComponent_C
---@field WinchPoleHit FHitResult
---@field Installed boolean
---@field JackPoleSFX UAudioComponent
---@field AttachmentPrevisActor ABP_Previs_C
---@field ['Not Allowed to Place on Actors'] TArray<TSubclassOf<AActor>>
---@field TryToReturn boolean
---@field ['Damage Settings'] FST_Damage_Settings
---@field IgnitionLocation FVector
---@field IgnitionFire UNiagaraComponent
---@field MondayExample boolean
---@field FuseSFX UAudioComponent
---@field ActivateFireworksFlight boolean
local ABP_Interactable_FireWorks_C = {}

---@param Success boolean
function ABP_Interactable_FireWorks_C:Explode(Success) end
---@return boolean
function ABP_Interactable_FireWorks_C:AllowWinchAttach() end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HoldTime double
---@param Success boolean
function ABP_Interactable_FireWorks_C:TryToDropThisActor(PlayerCharacter, HoldTime, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Interactable_FireWorks_C:TryToPickupThisActor(PlayerCharacter, Success) end
function ABP_Interactable_FireWorks_C:StopJackPoleSFX() end
function ABP_Interactable_FireWorks_C:ActivateJackPoleSFX() end
---@param Success boolean
function ABP_Interactable_FireWorks_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
function ABP_Interactable_FireWorks_C:SetPickedUpPhysicsState(Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Interactable_FireWorks_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
function ABP_Interactable_FireWorks_C:UpdateFireWork() end
function ABP_Interactable_FireWorks_C:OnRep_WinchPoleHit() end
---@param Surface EPhysicalSurface
---@param ImpactLocation FVector
function ABP_Interactable_FireWorks_C:PlaySoundAtImpact(Surface, ImpactLocation) end
---@param Success boolean
function ABP_Interactable_FireWorks_C:ShouldUseHoldTransform(Success) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_FireWorks_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param FireWorkHit FHitResult
function ABP_Interactable_FireWorks_C:SetFireWork(FireWorkHit) end
function ABP_Interactable_FireWorks_C:Multicast_CollapseFireWork() end
function ABP_Interactable_FireWorks_C:ReceiveBeginPlay() end
function ABP_Interactable_FireWorks_C:ActivateExplosion() end
function ABP_Interactable_FireWorks_C:InitEffects() end
---@param ExplodeTarget AActor
function ABP_Interactable_FireWorks_C:MultiCast_ExplodeTarget(ExplodeTarget) end
function ABP_Interactable_FireWorks_C:CallForLatentDestroy() end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
---@param bFromSweep boolean
---@param SweepResult FHitResult
function ABP_Interactable_FireWorks_C:BndEvt__BP_Interactable_FireWorks_Sphere_K2Node_ComponentBoundEvent_0_ComponentBeginOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex, bFromSweep, SweepResult) end
function ABP_Interactable_FireWorks_C:IgnitFirework() end
function ABP_Interactable_FireWorks_C:LightFuse() end
---@param DeltaSeconds float
function ABP_Interactable_FireWorks_C:ReceiveTick(DeltaSeconds) end
---@param EntryPoint int32
function ABP_Interactable_FireWorks_C:ExecuteUbergraph_BP_Interactable_FireWorks(EntryPoint) end


